ppudump(1)

NAME
ppudump - The FPC Pascal unit dump program.

SYNOPSIS

ppudump [-h] [-v[h|i|m|d|s|b|a]] ppu-file1 ppufile2 ...

Description

ppudump writes the contents of a Free Pascal unit file to standard output. It gives a listing of all definitions in the unit file. The format of the listing can be controlled by the options.

Usage

You can invoke ppudump with as arguments the names of the units that you want to dump. You need not specify a extension, by default .ppu is assumed. The output goes to standard output.

Options

ppudump has only two options:

-h  shows a short help screen.

-vxxx
    Controls the level of verbosity. xxx is any combination of the following letters:

    a   Shows all information stored in the PPU file.

    b   Shows the browser information in the PPU file (if present).

    d   Shows the definitions in the PPU file.

    h   Shows the header information in the PPU file.

    i   Shows only interface information, implementation information is not shown.

    m   Shows only implementation information, interface interface is not shown.

    s   Shows the symbols stored in the PPU file.

SEE ALSO

    ppc386(1) ppumove(1)